Bug 173115 - Suspend fails on Dell Inspiron
Suspend fails on Dell Inspiron
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-11-14 05:17 EST by Robert Bertram
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-21 11:12:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Related output of messages and dmesg (4.10 KB, text/plain)
2005-11-14 05:21 EST, Robert Bertram
no flags Details

  None (edit)
Description Robert Bertram 2005-11-14 05:17:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Suspend to ram fails with kernel version 2.6.14-1.1637_FC4. With the previous version suspend would work well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install new kernel. Configure system and suspend. 
2.Install old kernel. Configure system and suspend. 
3.Install new kernel. Configure system and suspend.

Actual Results:  Suspend works with old version(2.6.13-1.1532_FC4). Suspend fails with current version.

Expected Results:  Suspend should work with current version.

Additional info:
Comment 1 Robert Bertram 2005-11-14 05:21:42 EST
Created attachment 121015 [details]
Related output of messages and dmesg

Contains a tail of /var/log/messages as well as the output of dmesg which had
been cleared before suspending.
Comment 2 Robert Bertram 2005-11-15 06:01:58 EST
Thinking about this is probably a feature not a bug. I've started trolling
around the NVidia forum hoping for a new driver release.
Comment 3 Robert Bertram 2005-11-17 05:37:08 EST
A nice person from the NVidia forums pointed me to the following for a work
around. Hopefully a new NVidia driver will be released soon.

Edit the following file in the kernel source, include/linux/pm.h. On line 214
change "#define PM_EVENT_SUSPEND 2" to "#define PM_EVENT_SUSPEND 3".
Comment 4 Dave Jones 2005-11-21 11:12:19 EST
ok, nvidia driver problems are out of our control.

Note You need to log in before you can comment on or make changes to this bug.